> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poixe.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 定价选项

```bash curl theme={"theme":{"light":"min-light","dark":"min-dark"}}
curl "https://sys.poixe.com/api/channels/pricing-options?channel_type=openai_chatgpt&channel_type=anthropic_claude" \
  -H "Authorization: Bearer $POIXE_SYSTEM_TOKEN"
```

```json response theme={"theme":{"light":"min-light","dark":"min-dark"}}
[
  {
    "type": "openai_chatgpt",
    "type_name": "OpenAI ChatGPT",
    "prices": [
      { "price": 0.1, "weight": 16 },
      { "price": 0.5, "weight": 8 }
    ]
  },
  {
    "type": "anthropic_claude",
    "type_name": "Anthropic Claude",
    "prices": [
      { "price": 0.3, "weight": 10 }
    ]
  }
]
```

GET
`https://sys.poixe.com/api/channels/pricing-options`

查询各渠道类型的可选价格配置。在 [创建渠道](https://docs.poixe.com/cn/api-reference/system-api/channel/create.md) 时，`price` 字段必须从本接口返回的 `prices` 列表中选取有效值。

## 查询参数

**channel\_type** `string`

按渠道类型 slug 过滤（可重复传入多个）。省略则返回所有类型。例：`?channel_type=openai_chatgpt&channel_type=anthropic_claude`

## 响应字段

返回数组，每项代表一个渠道类型的定价信息：

**type** `string`

渠道类型 slug，如 `openai_chatgpt`

**type\_name** `string`

渠道类型展示名称，如 `OpenAI ChatGPT`

**prices** `array`

该类型的可用价格配置列表：

**price 配置字段**

**price** `number`

价格倍率，创建渠道时须从此列表中选取

**weight** `integer`

该价格档位的系统路由权重，权重越高被分配请求的概率越大


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.